Skip to main content
DELETE
/
teams
/
{team_id}
/
admins
/
{user_id}
Revoke a team-admin grant
curl --request DELETE \
  --url https://api.mnemom.ai/v1/teams/{team_id}/admins/{user_id} \
  --header 'Authorization: Bearer <token>'
{
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "revoked": true,
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "idempotent_noop": true
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

team_id
string
required

Team identifier (UUID)

user_id
string<uuid>
required

Response

Revoked (or idempotent no-op if already revoked).

team_id
string<uuid>
required
user_id
string<uuid>
required
revoked
boolean
required

true when the grant was revoked by this request; false on an idempotent no-op.

revoked_at
string<date-time>

Timestamp of revocation. Present only when revoked: true.

revoked_by
string<uuid>

Actor who revoked the grant. Present only when revoked: true.

idempotent_noop
boolean

true when there was no active grant to revoke. revoked is false in this case.